version: "3.8"

services:
  ojs:
    image: pkpofficial/ojs:latest
    container_name: ojs
    ports:
      - "0.0.0.0:8001:80"
      - "0.0.0.0:4001:443"
    extra_hosts:
      - "host.docker.internal:host-gateway"
    environment:
      DB_HOST: host.docker.internal
      DB_PORT: 3306
      DB_USERNAME: ojs
      DB_PASSWORD: ojs_dantelimina!
      DB_NAME: ojs
      OJS_FILE_DIR: /var/www/ojs/files
      ENABLE_SSL: "false"
    volumes:
      - ./html:/var/www/ojs/html
      - ./files:/var/www/ojs/files
      - ./public:/var/www/ojs/public
      - ./config.inc.php:/var/www/ojs/config.inc.php:ro
    restart: unless-stopped

